Bug 1779316 - "Rebuild" item is disabled for common user
Summary: "Rebuild" item is disabled for common user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1774842
Blocks: 1774843
TreeView+ depends on / blocked
 
Reported: 2019-12-03 18:17 UTC by Samuel Padgett
Modified: 2020-01-23 11:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1774842
Environment:
Last Closed: 2020-01-23 11:17:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3682 'None' 'open' '[release-4.3] Bug 1779316: Fix clone build access review' 2019-12-05 13:35:23 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:18:04 UTC

Description Samuel Padgett 2019-12-03 18:17:15 UTC
+++ This bug was initially created as a clone of Bug #1774842 +++

Description of problem:
Common user tries to rebuild a build by click "Rebuild" item in action list from console. The "Rebuild" item is gray and disabled.

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2019-11-19-122017

How reproducible:
Always

Steps to Reproduce:
1.Common user creates app in project, after starts a build, tries to rebuild the build by click "Rebuild" item in action list.
2.
3.

Actual results:
1.The "Rebuild" item is gray and disabled.


Expected results:
1."Rebuild" should be enabled and user could rebuild successfully.

Additional info:
Cluster-admin user could rebuild successfully.

--- Additional comment from Samuel Padgett on 2019-11-21 14:16:52 UTC ---

I was able to reproduce, but not reliably. Does the action become enabled for you when refreshing the page?

I suspect we're racing. We make the self subject access review request too soon after the resource was created.

--- Additional comment from Samuel Padgett on 2019-11-21 14:49:58 UTC ---

Lowering the severity because this only happens immediately after creating the build and there's a simple workaround.

--- Additional comment from Yanping Zhang on 2019-11-22 02:44:18 UTC ---

From my test, it's not only happens immediately after creating the build. The "Rebuild" item would not be enabled after refresh page, even after waiting for a long time.

--- Additional comment from Yanping Zhang on 2019-11-27 08:41:43 UTC ---

According Comment 3 and the bug blocks our auto process, I'd like to raising the bug severity level.

Comment 2 Yanping Zhang 2019-12-06 07:43:05 UTC
Tested on ocp 4.3 with payload 4.3.0-0.nightly-2019-12-06-014514. Now the "Rebuild" button is enable on kebab list and action list. Click on it, a new build will be triggered successfully.

Comment 4 errata-xmlrpc 2020-01-23 11:17:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.